Breaking News: Jetpack Releases Critical Security Update

Security Alert! WordPress released version 3.9 this week and your WP core should update automatically.  However, it is important to keep your plugins up to date (this is done manually).  Due to a security breach, the plugin, Jetpack, needs to be updated to 2.9.3 immediately.

Jetpack has released a critical security update for their plugin. […]

5 Ways to Prevent a Brute Force Attack on Your WordPress Sites

I received an email from WordFence this morning. You might have received it as well if you have installed the WordFence plugin on your WordPress website.
“As of 11am eastern time this morning we are monitoring the largest distributed brute force attack on WordPress installations that we’ve seen to date.”   click here to read more

It […]